#!/bin/sh

mkdir /tmp/build

bjam --build-dir=/tmp/boost --with-date_time
bjam --build-dir=/tmp/boost --with-filesystem
bjam --build-dir=/tmp/boost --with-function_types
bjam --build-dir=/tmp/boost --with-graph
bjam --build-dir=/tmp/boost --with-iostreams
bjam --build-dir=/tmp/boost --with-math
bjam --build-dir=/tmp/boost --with-program_options
bjam --build-dir=/tmp/boost --with-python
bjam --build-dir=/tmp/boost --with-regex
bjam --build-dir=/tmp/boost --with-serialization
bjam --build-dir=/tmp/boost --with-signals
bjam --build-dir=/tmp/boost --with-system
bjam --build-dir=/tmp/boost --with-test
bjam --build-dir=/tmp/boost --with-thread
bjam --build-dir=/tmp/boost --with-wave

mkdir /tmp/build/libs
find /tmp/boost -name "*.so*" -exec cp {} /tmp/boost/libs \;

#cd /tmp/build/libs

#libboost_date_time-gcc34-mt-1_36.so.1.36.0
#libboost_filesystem-gcc34-mt-1_36.so.1.36.0
#libboost_graph-gcc34-mt-1_36.so.1.36.0
#libboost_iostreams-gcc34-mt-1_36.so.1.36.0

#libboost_math_c99-gcc34-mt-1_36.so.1.36.0
#libboost_math_c99f-gcc34-mt-1_36.so.1.36.0
#libboost_math_c99l-gcc34-mt-1_36.so.1.36.0
#libboost_math_tr1-gcc34-mt-1_36.so.1.36.0
#libboost_math_tr1f-gcc34-mt-1_36.so.1.36.0
#libboost_math_tr1l-gcc34-mt-1_36.so.1.36.0

#libboost_prg_exec_monitor-gcc34-mt-1_36.so.1.36.0
#libboost_program_options-gcc34-mt-1_36.so.1.36.0
#libboost_python-gcc34-mt-1_36.so.1.36.0
#libboost_regex-gcc34-mt-1_36.so.1.36.0
#libboost_signals-gcc34-mt-1_36.so.1.36.0
#libboost_system-gcc34-mt-1_36.so.1.36.0
#libboost_thread-gcc34-mt-1_36.so.1.36.0
#libboost_unit_test_framework-gcc34-mt-1_36.so.1.36.0
#libboost_wave-gcc34-mt-1_36.so.1.36.0

#libboost_serialization-gcc34-mt-1_36.so.1.36.0
#libboost_wserialization-gcc34-mt-1_36.so.1.36.0
